import React from "react"

let columns = () => [
    {
        title: 'ID',
        dataIndex: 'id',
        key: 'id',
        width: 60,
        align: 'center',
    },
    {
        title: '支付状态',
        dataIndex: 'status',
        key: 'status',
        width: 120,
        align: 'center',
        render: (a: number, b: any) => {
            return <span>{a === 1 ? '待处理' : a === 2 ? '成功' : '失败'}</span>
        }
    },
    {
        title: 'CP通知状态',
        dataIndex: 'cpStatus',
        key: 'cpStatus',
        width: 120,
        align: 'center',
        render: (a: number, b: any) => {
            return <span>{a === 1 ? '待处理' : a === 2 ? '成功' : '失败'}</span>
        }
    },
    {
        title: 'CP支付回调',
        dataIndex: 'cpPaybackUrl',
        key: 'cpPaybackUrl',
        width: 180,
        ellipsis: true,
        align: 'center',
    },
    {
        title: '请求参数',
        dataIndex: 'params',
        key: 'params',
        width: 180,
        ellipsis: true,
        align: 'center',
    },
    {
        title: 'EXT参数',
        dataIndex: 'ext',
        key: 'ext',
        width: 180,
        ellipsis: true,
        align: 'center',
    },
    {
        title: '创建时间',
        dataIndex: 'createTime',
        key: 'createTime',
        width: 140,
        ellipsis: true,
        align: 'center',
    }
]

export default columns